/**
 * Create a new `Ti.UI.TabGroup`.
 */
var tabGroup = Ti.UI.createTabGroup();

/**
 * Add the two created tabs to the tabGroup object.
 */
tabGroup.addTab(createTab("Tab 1", "I am Window 1", "assets/images/tab1.png"));

/**
 * Open the tabGroup
 */
tabGroup.open();

function clickEvent(e) {
    var table = require('tableview');
    var wt = table.createUI();
    var t = tabGroup.getActiveTab();
    t.open(wt, {animated: true});
}

/**
 * Creates a new Tab and configures it.
 *
 * @param  {String} title The title used in the `Ti.UI.Tab` and it's included `Ti.UI.Window`
 * @param  {String} message The title displayed in the `Ti.UI.Label`
 * @return {String} icon The icon used in the `Ti.UI.Tab`
 */
function createTab(title, message, icon) {
    var win = Ti.UI.createWindow({
        title: title,
        barColor: "#1b68d1",
        backgroundColor: '#fff'
    });

    var action1 = Ti.UI.createButton({
        title: 'change to #F5F4F4',
        top: 100,
        index: null});
    action1.addEventListener('click', function(e) {
        win.barColor = '#F5F4F4';
    });

    var action2 = Ti.UI.createButton({
        title: 'change to red',
        top: 200,
        index: null});
    action2.addEventListener('click', function(e) {
        win.barColor = 'red';
    });

    win.add(action1);
    win.add(action2);

    var tab = Ti.UI.createTab({
        title: title,
        icon: icon,
        window: win
    });

    return tab;
}
